package com.yuchen.saas.park.service.service.fire.fight;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.fire.fight.FireFightShiftPlanReqDTO;
import com.yuchen.saas.park.api.dto.fire.fight.FireFightShiftPlanSubmitReqDTO;
import com.yuchen.saas.park.api.entity.fire.fight.SaasParkFireFightShiftPlan;
import com.yuchen.saas.park.api.vo.fire.fight.FireFightShiftDutyInfoVO;
import com.yuchen.saas.park.api.vo.fire.fight.FireFightShiftPlanVO;

import java.util.List;

/**
 * <p>
 * 消防排班计划 服务类
 * </p>
 *
 * @author zhouhanwei
 * @since 2024-04-29
 */
public interface ISaasParkFireFightShiftPlanService extends IService<SaasParkFireFightShiftPlan> {

    List<FireFightShiftPlanVO> findFireFightShiftPlanList(FireFightShiftPlanReqDTO reqDTO);

    FireFightShiftPlanVO getFireFightShiftPlan(Long shiftPlanId);

    Boolean addFireFightShiftPlan(FireFightShiftPlanSubmitReqDTO reqDTO);

    Boolean editFireFightShiftPlan(FireFightShiftPlanSubmitReqDTO reqDTO);

    Boolean deleteFireFightShiftPlan(Long shiftPlanId);

    List<FireFightShiftDutyInfoVO> getFireFightShiftDutyInfo(FireFightShiftPlanReqDTO reqDTO);
}
